package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DisposizioniErrori.
 * @see sicura.entities.DisposizioniErrori
 * @author Hibernate Tools
 */
@Stateless
public class DisposizioniErroriHome {

	private static final Log log = LogFactory.getLog(DisposizioniErroriHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DisposizioniErrori transientInstance) {
		log.debug("persisting DisposizioniErrori instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DisposizioniErrori persistentInstance) {
		log.debug("removing DisposizioniErrori instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DisposizioniErrori merge(DisposizioniErrori detachedInstance) {
		log.debug("merging DisposizioniErrori instance");
		try {
			DisposizioniErrori result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DisposizioniErrori findById(Integer id) {
		log.debug("getting DisposizioniErrori instance with id: " + id);
		try {
			DisposizioniErrori instance = entityManager.find(DisposizioniErrori.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
